/* Section 01: Homepage Banner */
.homepage-banner-wrapper {
    width: 100%;
    height: 37rem;
    overflow: hidden;
}

.homepage-banner-wrapper .homepage-banner-slide {
    position: relative;
    overflow: hidden;
}
.homepage-banner-wrapper .homepage-banner-slide::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 1;
}
.homepage-banner-wrapper .homepage-banner-slide.dark-backdrop {
    background: #000000;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.22) 0%, rgba(0, 0, 0, 0) 100%);
}

.homepage-banner-wrapper .homepage-banner-slide .content {
    padding-top: 4rem;
    padding-bottom: 4rem;
    z-index: 2;
    position: relative;
}

.homepage-banner-wrapper .homepage-banner-slide .content .heading {
    font-size: 2.1rem;
    font-weight: 300;
    line-height: 2.6rem;
    display: block;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    color: var(--color-text-secondary);
}
.homepage-banner-wrapper .homepage-banner-slide .content .sub-heading {
    font-size: 0.9rem;
    font-weight: 300;
    display: block;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    color: var(--color-text-secondary);
}
.homepage-banner-wrapper .homepage-banner-slide .content .sub-heading-underline {
    text-decoration: underline;
}

.homepage-banner-wrapper .homepage-banner-slide video,
.homepage-banner-wrapper .homepage-banner-slide img {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    inset: 0;
    z-index: 0;
}

/* Homepage Banner - Bottom Controls */
.homepage-banner-wrapper .homepage-banner-bottom-controls {
    width: 100%;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.2rem;

    position: absolute;
    bottom: 1rem;
}

/* Homepage Banner - Control Buttons */
.homepage-banner-wrapper .homepage-banner-bottom-controls .homepage-banner-controls-btn {
    width: 1rem;
    height: 1rem;
    background-color: var(--color-secondary);
    color: var(--color-primary);
    z-index: 1;
    border-radius: 50%;
    cursor: pointer;
}
.homepage-banner-wrapper .homepage-banner-bottom-controls .homepage-banner-controls-btn:hover {
    opacity: 0.8;
}

/* Homepage Banner - Pagination */
.homepage-banner-wrapper .homepage-banner-pagination {
    width: auto;

    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: auto !important;
    top: auto !important;

    gap: 0.2rem;

    padding: 0.5rem;
    background-color: var(--color-secondary);
    border-radius: 1rem;
}

.homepage-banner-wrapper .homepage-banner-pagination .swiper-pagination-bullet {
    background-color: rgb(113, 113, 113);
    border-radius: 10rem;
    width: 1rem;
    height: 0.2rem;
    transition: 0.2s;
    transition-timing-function: linear;

    margin: auto !important;
}
.homepage-banner-wrapper .homepage-banner-pagination .swiper-pagination-bullet-active {
    width: 0.5rem;
}

/* Shop by Category */
.shop-by-category-wrapper {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
  gap: 1.5rem;
  width: 100%;
}

.shop-by-category-wrapper .item {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
}

.shop-by-category-wrapper .item .circle-wrapper {
  width: 100%;
  max-width: 140px; /* prevents oversized circles */
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  background-color: rgba(224, 224, 224, 0.5);
  overflow: hidden;
  margin-bottom: 0.5rem;
}

.shop-by-category-wrapper .item .circle-wrapper .image {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.shop-by-category-wrapper .item .text {
  font-size: 1rem;
  color: var(--color-text-tertiary);
  text-align: center;
}

.shop-by-category-wrapper .item:hover .text {
  text-decoration: underline;
}

/* Homepage Slider Product Items */
.homepage-product-item-wrapper {
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: column;
}
.homepage-product-item-wrapper .homepage-product-item {
    width: 100%;
}
.homepage-product-item-wrapper .homepage-product-item .product-thumbnail {
    width: 100%;
    height: 20rem;
    position: relative;
}
.homepage-product-item-wrapper .homepage-product-item .product-thumbnail img {
    width: 100%;
    height: 100%;

    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    object-fit: contain;
}
.homepage-product-item-wrapper .homepage-product-item .product-price .product-price-strikethrough {
    text-decoration: line-through;
}